Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
subscriptions
/
{sub_id}
/
cancel
Cancel subscription (Phase A: at-period-end only)
curl --request POST \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/subscriptions/{sub_id}/cancel \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "contact_id": "<string>",
      "current_period_end": "2023-11-07T05:31:56Z",
      "current_period_start": "2023-11-07T05:31:56Z",
      "external_subscription_id": "<string>",
      "hub_id": "<string>",
      "payment_account_id": "<string>",
      "payment_customer_id": "<string>",
      "price_id": "<string>",
      "product_id": "<string>",
      "status": "<string>",
      "cancel_at": "2023-11-07T05:31:56Z",
      "cancel_at_period_end": false,
      "canceled_at": "2023-11-07T05:31:56Z",
      "collection_paused": false,
      "created_at": "2023-11-07T05:31:56Z",
      "deliverables_snapshot": [],
      "origin_order_id": "<string>",
      "source": "native",
      "trial_end": "2023-11-07T05:31:56Z",
      "trial_start": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "type": "subscriptions"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required
sub_id
string
required

Response

Successful Response

data
SubscriptionResource · object
required